qselect(1B)

NAME
qselect - select specified PBS jobs

SYNOPSIS
qselect [-a [<op>] <date and time>] [-A <account string>]
    [-c [<op>] <interval>] [-h <hold list>] [-H] [-J]
    [-l <resource list>] [-N <name>] [-p [<op>] <priority>]
    [-P <project>] [-q <destination>] [-r <rerun>] [-s <states>]
    [-t <time option> [<comparison>] <specified time>] [-T]
    [-u <user list>] [-x]
qselect --version

DESCRIPTION
The qselect command lists those jobs that meet the specified selection criteria. You can compare certain job attribute values to specified values using a comparison operator shown as op in the option description. You can select jobs, job arrays, or subjobs. You can select jobs from one server per call to the command. Each option acts as a filter restricting which jobs are listed. You can select jobs according to the values of some of the resources in the Resource_List job attribute. You can also select jobs according the selection directive (although because this is a string, you can only check for equality or inequality.) Jobs that are finished or moved are listed only when the -x or -H options are used. Otherwise, job selection is limited to queued and running jobs. Comparison Operations
You can select jobs by comparing the values of certain job attributes to values you specify. The following table lists the comparison operations you can use: Operation Type of Comparison
-----------------------------------------------------------------------

.eq.
    The value of the attribute of the job is equal to the value of the option argument.

.ne.
    The value of the attribute of the job is not equal to the value of the option argument.

.ge.
    The value of the attribute of the job is greater than or equal to the value of the option argument.

.gt.
    The value of the attribute of the job is greater than the value of the option argument.

.le.
    The value of the attribute of the job is less than or equal to the value of the option argument.

.lt.
    The value of the attribute of the job is less than the value of the option argument.

For example, to select jobs whose Priority attribute has a value greater than 5:
qselect -p.gt.5 Where an optional comparison is not specified, the comparison operation defaults to .eq, meaning PBS checks whether the value of the attribute is equal to the option argument. Required Permissions
When selecting jobs according to resource values, users without Operator or Manager privilege cannot specify custom resources which were created to be invisible to unprivileged users.

Options to qselect

(no options)
    Lists all jobs at the server which the user is authorized to list (query status of).

-a [<op>] <date and time>
    Deprecated. Restricts selection to those jobs whose Execution_Time attribute qualifies when compared to the date and time argument. You can select a range of execution times by using this option twice, to compare to a minimum time and a maximum time. The date and time argument has the format:
    [[CC]YY]MMDDhhmm[.SS]
    where the MM is the two digits for the month, DD is the day of the month, hh is the hour, mm is the minute, and the optional SS is the seconds. CC is the century and YY the year.

-A <account string>
    Restricts selection to jobs whose Account_Name attribute matches the specified account string.

-c [<op>] <interval>
    Restricts selection to jobs whose Checkpoint interval attribute meets the comparison criteria. The interval argument can take one of the following values:
    c
    c=<minutes>
    n
    s
    w
    w=<minutes>

    We give the range of interval values for the Checkpoint attribute the following ordered relationship:
    n > s > c=minutes > c > u (Information about w and w=<minutes> is not available.) For an interval value of "u", only ".eq" and ".ne" are valid.

-h <hold list>
    Restricts the selection of jobs to those with a specific set of hold types. The holds in the Hold_Types job attribute must be the same as those in the hold list argument, but can be in a different order. The hold list argument is a string consisting of the single letter n, or one or more of the letters u, o, p, or s in any combination. If letters are duplicated, they are treated as if they occurred once. The letters represent the hold types: Letter Hold Type
    ---------------------------------------------------------------
    n        None
    u        User
    o        Other
    p        Bad password
    s        System

-H  Restricts selection to finished and moved jobs.

-J  Limits selection to job arrays only.

-l <resource list>
    Restricts selection of jobs to those with specified resource amounts. Resource must be job-wide, or be mem, ncpus, or vmem. The resource list is in the following format:
    <resource name> <op> <value>[,<resource name> <op> <value> ...] You must specify op, and you can use any of the comparison operators. Because resource specifications for chunks using the select statement, and placement using the place statement, are stored as strings, the only useful operators for these are .eq. and .ne. Unprivileged users cannot specify custom resources which were created to be invisible to unprivileged users.

-N <name>
    Restricts selection of jobs to those with the specified value for the Job_Name attribute.

-p [<op>] <priority>
    Restricts selection of jobs to those with the specified Priority value(s).

-P <project>
    Restricts selection of jobs to those matching the specified value for the project attribute. Format: Project Name; see the PBS Professional Reference Guide.

-q <destination>
    Restricts selection to those jobs at the specified destination. The destination may take of one of the following forms:
    <queue name>
    Restricts selection to the specified queue at the default server.
    @<server name>
    Restricts selection to the specified server.
    <queue name>@<server name>
    Restricts selection to the specified queue at the specified server.

    If the -q option is not specified, jobs are selected from the default server.

-r <rerun>
    Restricts selection of jobs to those with the specified value for the Rerunable attribute. The option argument rerun must be a single character, either y or n.

-s <states>
    Restricts job selection to those whose job_state attribute has the specified value(s). The states argument is a character string consisting of any combination of these characters: B , E , F , H , M , Q , R , S , T , U , W , and X. (A repeated character is accepted, but no additional meaning is assigned to it.)
    State   Meaning
    ---------------------------------------------------------------
    B       Job array has started execution
    E       The Exiting state
    F       The Finished state
    H       The Held state
    M       The Moved state
    Q       The Queued state
    R       The Running state
    S       The Suspended state
    T       The Transiting state
    U       Job suspended due to workstation user activity
    W       The Waiting state
    X       The eXited state.  Subjobs only

    Jobs in any of the specified states are selected. Job arrays are never in states R, S, T, or U. Subjobs may be in those states.

-t <time option> [<op>] <specified time>
    Jobs are selected according to one of their time-based attributes. The time option specifies which time-based attribute is tested. You give the specified time in datetime format. See the PBS Professional Reference Guide. The time option is one of the following:
    Time
    Option  Time Attribute  Attribute Description
    ---------------------------------------------------------------
    a       Execution_Time  Timestamp.  Time the job is eligible
                            for execution.  Specified in datetime
                            format.
    c       ctime           Timestamp; time at which the job was
                            created.  Printed by qstat in
                            human-readable format.  Output in hooks
                            as seconds since epoch.
    e       etime           Timestamp; time when job became
                            eligible to run, i.e. was enqueued in
                            an execution queue and was in the "Q"
                            state.  Reset when a job moves queues,
                            or is held then released.  Not affected
                            by qaltering.  Printed by qstat in
                            human-readable format.  Output in hooks
                            as seconds since epoch.
    g       eligible_time   Amount of eligible time job accrued
                            waiting to run.  Specified as duration.
    m       mtime           Timestamp; the time that the job was
                            last modified, changed state, or
                            changed locations.  Printed by qstat in
                            human-readable format.  Output in hooks
                            as seconds since epoch.
    q       qtime           Timestamp; the time that the job
                            entered the current queue.  Printed by
                            qstat in human-readable format.  Output
                            in hooks as seconds since epoch.
    s       stime           Timestamp; time the job started.
                            Updated when job is restarted.  Printed
                            by qstat in human-readable format.
                            Output in hooks as seconds since epoch.
    t       estimated.      Job's estimated start time.  Specified
            start_time      in datetime format.  Printed by qstat in
                            human-readable format.  Output in hooks
                            as seconds since epoch.
    To bracket a time period, use the -t option twice.
    For example, to select jobs using stime between noon and 3 p.m.:
    qselect -ts.gt.09251200 -ts.lt.09251500

-T  Limits selection to jobs and subjobs.

-u <user list>
    Restricts selection to jobs owned by the specified usernames. Syntax of user_list:
    <username>[@<hostname>][,<username>[@<hostname>],...] Selects jobs which are owned by the listed users at the corresponding hosts. Hostnames may be wildcarded on the left end, e.g. "*.nasa.gov". A username without a "@<hostname>" is equivalent to "<username>@*", meaning that it is valid at any host.

-x  Selects finished and moved jobs in addition to queued and running jobs.

-X  Selects completed or deleted subjobs (subjobs in X state).

--version
    The qselect command returns its PBS version information and exits. This option can only be used alone.

STANDARD OUTPUT
PBS writes a list of the selected job IDs to standard output. Each job ID is separated by white space. A job ID can represent a job, a job array, or a subjob. Each job ID has one of the forms:
<sequence number>.<server name>[@<server name>]
<sequence number>[].<server name>[@<server name>]
<sequence number>[<index>].<server name>[@<server name>]
@<server name> identifies the server which currently owns the job.

STANDARD ERROR
The qselect command writes a diagnostic message to standard error for each error occurrence.

EXIT STATUS

Zero
    Upon successful processing of all options presented to the qselect command

Greater than zero
    If the qselect command fails to process any option

SEE ALSO
The PBS Professional User's Guide, the PBS Professional Administrator's Guide,
qstat(1B), qsub(1B), pbs_job_attributes(7B), pbs_resources(7B)